Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnStringTools.h File Reference

`#include <iostream>`
`#include <string>`
`#include <vector>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "gn/gnDefs.h"`

Go to the source code of this file.

## Functions
unsigned int | removeSpace (string &str)
void | removeEndSpace (string &str)
bool | isNewLine (char ch)
bool | isWhiteSpace (char ch)
bool | isSpace (char ch)
string | uintToString (unsigned int value)
string | ulongToString (unsigned long value)
string | charArrayToString (char *charArray, unsigned int length)
bool | isBase (char base)
void | BaseCount (const string &bases, gnSeqI &a_count, gnSeqI &c_count, gnSeqI &g_count, gnSeqI &t_count, gnSeqI &other_count)
unsigned int | parseValue (string &valueString)
int | parseUintValue (string &valueString)
int | parseIntValue (string &valueString)
vector< string > | tokenizeString (const string &str, char delimiter='\t')
vector< string > | tokenizeString (const char *str, unsigned int len, char delimiter='\t')
void | standarizePathString (string &oFileName)
string | getPathString (string oFileName)
string | getFileString (string oFileName)
string | getExtString (string oFileName)
string | getFileNoExtString (string oFileName)

## Function Documentation

void BaseCount ( | const string & bases,
| gnSeqI & a_count,
| gnSeqI & c_count,
| gnSeqI & g_count,
| gnSeqI & t_count,
| gnSeqI & other_count )

| Definition at line 15 of file gnStringTools.cpp. Referenced by gnGBKSource::Write().

string charArrayToString ( | char * charArray,
| unsigned int length )

string getExtString ( | string oFileName )

| Definition at line 264 of file gnStringTools.cpp.

string getFileNoExtString ( | string oFileName )

| Definition at line 274 of file gnStringTools.cpp.

string getFileString ( | string oFileName )

| Definition at line 257 of file gnStringTools.cpp. Referenced by gnSourceFactory::AddSource(), and gnSourceFactory::HasSource().

string getPathString ( | string oFileName )

| Definition at line 248 of file gnStringTools.cpp. Referenced by gnDNXSource::ParseStream().

bool isBase ( | char base )

bool isNewLine ( | char ch )

| Definition at line 91 of file gnStringTools.cpp. Referenced by gnFASSource::ParseStream(), and isSpace().

bool isSpace ( | char ch )

| Definition at line 109 of file gnStringTools.cpp. Referenced by gnFASSource::ParseStream(), and removeEndSpace().

bool isWhiteSpace ( | char ch )

| Definition at line 100 of file gnStringTools.cpp. Referenced by isSpace().

int parseIntValue ( | string & valueString )

| Definition at line 178 of file gnStringTools.cpp.

int parseUintValue ( | string & valueString )

| Definition at line 162 of file gnStringTools.cpp.

unsigned int parseValue ( | string & valueString )

| Definition at line 151 of file gnStringTools.cpp.

void removeEndSpace ( | string & str )

| Definition at line 74 of file gnStringTools.cpp.

unsigned int removeSpace ( | string & str )

| Definition at line 36 of file gnStringTools.cpp.

void standarizePathString ( | string & oFileName )

| Definition at line 239 of file gnStringTools.cpp. Referenced by gnSourceFactory::HasPath(), gnSourceFactory::HasSource(), and gnSourceFactory::PathExists().

vector< string > tokenizeString ( | const char * str,
| unsigned int len,
| char delimiter = '\t' )

| Definition at line 215 of file gnStringTools.cpp. Referenced by tokenizeString().

vector< string > tokenizeString ( | const string & str,
| char delimiter = '\t' )

string uintToString ( | unsigned int value )

| Definition at line 118 of file gnStringTools.cpp. Referenced by gnGBKSource::Write(), and gnFASSource::Write().

string ulongToString ( | unsigned long value )

| Definition at line 134 of file gnStringTools.cpp.